Index: squid/contrib/chpasswd/chpasswd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/chpasswd.c,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/chpasswd.c	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/chpasswd.c	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -715,163 +682,153 @@
 }
 
 
-static void
-strip_latin(char *line)
+static void strip_latin(char *line)
 {
-    char buf[255];
-    char warea[255];
-
-    while (strstr(line, "&") != 0) {
-	getword(warea, line, '&');
-	strncat(warea, line, 1);
-	getword(buf, line, ';');
-	strcat(warea, line);
-	strcpy(line, warea);
-    }
+   char buf[255];
+   char warea[255];
 
-    return;
+   while(strstr(line,"&") != 0){
+      getword(warea,line,'&');
+      strncat(warea,line,1);
+      getword(buf,line,';');
+      strcat(warea,line);
+      strcpy(line,warea);
+   }
+   
+   return;
+
+}
+
+
+static void vrfyauth(char *authfile, char *PwdLogFile, char *PwdFile, char *SmtpUser, char *SmtpSubject)
+{
+
+   FILE *auth;
+   char IP[30];
+   char buf[MAXLEN];
+   int  authbit=0;
+   struct stat statb;
+
+   if(stat(authfile,&statb)) eperror(authfile);
+   if(statb.st_uid != 0) {
+      Hmsg(msg23);
+      if(strlen(PwdLogFile) > 0)
+         Log(PwdLogFile,"-","","no",msg23,PwdFile,SmtpUser,SmtpSubject);
+      exit(1);
+   }
+   if(statb.st_mode & 022) {
+      Hmsg(msg24);
+      if(strlen(PwdLogFile) > 0)
+         Log(PwdLogFile,"-","","no",msg24,PwdFile,SmtpUser,SmtpSubject);
+      exit(1);
+   }
+
+   if((auth=fopen(authfile,"r"))==NULL) {
+      Hmsg(msg25);
+      if(strlen(PwdLogFile) > 0)
+         Log(PwdLogFile,"-","","no",msg25,PwdFile,SmtpUser,SmtpSubject);
+      exit(1);
+   }
+
+   if(getenv("HTTP_X_FORWARDED_FOR"))
+      sprintf(IP,"%s",getenv("HTTP_X_FORWARDED_FOR"));
+    else sprintf(IP,"%s",getenv("REMOTE_ADDR"));
+
+   while(fgets(buf,MAXLEN,auth)!=NULL) {
+      if(!authbit) {
+         if(strstr(buf,"#") != 0)
+            continue;
+          else  authbit=vauth(buf,IP);
+      }
+   }
+
+   if(!authbit) {
+      Hmsg(msg26);
+      if(strlen(PwdLogFile) > 0)
+         Log(PwdLogFile,"-","","no",msg26,PwdFile,SmtpUser,SmtpSubject);
+      exit(1);
+   }
+   
+   return;
+
+}
+
+
+int vauth(char *buf, char *ip)
+{
+   char a1[4],a2[4],a3[4],a4[4];
+   char o1[4],o2[4],o3[4],o4[4];
+   char ip2[255];
+   int ok=1;
+
+   strcpy(ip2,ip);
+
+   buf[strlen(buf)-1]='\0';
+
+   if(strcmp(buf,"0.0.0.0") == 0)
+      return(1);
+   if(strcmp(buf,ip2) == 0)
+      return(1);
+
+   getword(a1,buf,'.');
+   getword(a2,buf,'.');
+   getword(a3,buf,'.');
+   getword(a4,buf,' ');
+
+   getword(o1,ip2,'.');
+   getword(o2,ip2,'.');
+   getword(o3,ip2,'.');
+   getword(o4,ip2,' ');
+
+   if(strcmp(a1,"0") != 0){
+      if(strcmp(a1,o1) != 0)
+         ok=0;
+   }
+   if(strcmp(a2,"0") != 0){
+      if(strcmp(a2,o2) != 0)
+         ok=0;
+   }
+   if(strcmp(a3,"0") != 0){
+      if(strcmp(a3,o3) != 0)
+         ok=0;
+   }
+   if(strcmp(a4,"0") != 0){
+      if(strcmp(a4,o4) != 0)
+         ok=0;
+   }
 
+   return(ok);
 }
 
 
-static void
-vrfyauth(char *authfile, char *PwdLogFile, char *PwdFile, char *SmtpUser,
-    char *SmtpSubject)
-{
-
-    FILE *auth;
-    char IP[30];
-    char buf[MAXLEN];
-    int authbit = 0;
-    struct stat statb;
-
-    if (stat(authfile, &statb))
-	eperror(authfile);
-    if (statb.st_uid != 0) {
-	Hmsg(msg23);
-	if (strlen(PwdLogFile) > 0)
-	    Log(PwdLogFile, "-", "", "no", msg23, PwdFile, SmtpUser,
-		SmtpSubject);
-	exit(1);
-    }
-    if (statb.st_mode & 022) {
-	Hmsg(msg24);
-	if (strlen(PwdLogFile) > 0)
-	    Log(PwdLogFile, "-", "", "no", msg24, PwdFile, SmtpUser,
-		SmtpSubject);
-	exit(1);
-    }
-
-    if ((auth = fopen(authfile, "r")) == NULL) {
-	Hmsg(msg25);
-	if (strlen(PwdLogFile) > 0)
-	    Log(PwdLogFile, "-", "", "no", msg25, PwdFile, SmtpUser,
-		SmtpSubject);
-	exit(1);
-    }
-
-    if (getenv("HTTP_X_FORWARDED_FOR"))
-	sprintf(IP, "%s", getenv("HTTP_X_FORWARDED_FOR"));
-    else
-	sprintf(IP, "%s", getenv("REMOTE_ADDR"));
-
-    while (fgets(buf, MAXLEN, auth) != NULL) {
-	if (!authbit) {
-	    if (strstr(buf, "#") != 0)
-		continue;
-	    else
-		authbit = vauth(buf, IP);
-	}
-    }
-
-    if (!authbit) {
-	Hmsg(msg26);
-	if (strlen(PwdLogFile) > 0)
-	    Log(PwdLogFile, "-", "", "no", msg26, PwdFile, SmtpUser,
-		SmtpSubject);
-	exit(1);
-    }
-
-    return;
-
-}
-
-
-int
-vauth(char *buf, char *ip)
+eperror(s)
+register char *s;
 {
-    char a1[4], a2[4], a3[4], a4[4];
-    char o1[4], o2[4], o3[4], o4[4];
-    char ip2[255];
-    int ok = 1;
-
-    strcpy(ip2, ip);
-
-    buf[strlen(buf) - 1] = '\0';
-
-    if (strcmp(buf, "0.0.0.0") == 0)
-	return (1);
-    if (strcmp(buf, ip2) == 0)
-	return (1);
-
-    getword(a1, buf, '.');
-    getword(a2, buf, '.');
-    getword(a3, buf, '.');
-    getword(a4, buf, ' ');
-
-    getword(o1, ip2, '.');
-    getword(o2, ip2, '.');
-    getword(o3, ip2, '.');
-    getword(o4, ip2, ' ');
-
-    if (strcmp(a1, "0") != 0) {
-	if (strcmp(a1, o1) != 0)
-	    ok = 0;
-    }
-    if (strcmp(a2, "0") != 0) {
-	if (strcmp(a2, o2) != 0)
-	    ok = 0;
-    }
-    if (strcmp(a3, "0") != 0) {
-	if (strcmp(a3, o3) != 0)
-	    ok = 0;
-    }
-    if (strcmp(a4, "0") != 0) {
-	if (strcmp(a4, o4) != 0)
-	    ok = 0;
-    }
+   perror("chpasswd.cgi");
+   exit(1);
 
-    return (ok);
 }
 
 
-eperror(s)
-     register char *s;
+void sendmail(char *user, char *subj, char *msg)
 {
-    perror("chpasswd.cgi");
-    exit(1);
 
-}
+   FILE *mail;
+   char cmd[MAXLEN];
 
+   sprintf(cmd,"mailx -s '%s' %s",subj,user);
 
-void
-sendmail(char *user, char *subj, char *msg)
-{
+   if (access("/bin/mailx", R_OK) == 0)
+      sprintf(cmd,"/bin/mailx -s '%s' %s",subj,user);
+   if (access("/usr/bin/mailx", R_OK) == 0)
+      sprintf(cmd,"/bin/mailx -s '%s' %s",subj,user);
 
-    FILE *mail;
-    char cmd[MAXLEN];
+   if((mail =popen(cmd, "w")) != NULL ) {
+      fputs(msg,mail);
+      pclose(mail);
+   }
 
-    sprintf(cmd, "mailx -s '%s' %s", subj, user);
 
-    if (access("/bin/mailx", R_OK) == 0)
-	sprintf(cmd, "/bin/mailx -s '%s' %s", subj, user);
-    if (access("/usr/bin/mailx", R_OK) == 0)
-	sprintf(cmd, "/bin/mailx -s '%s' %s", subj, user);
-
-    if ((mail = popen(cmd, "w")) != NULL) {
-	fputs(msg, mail);
-	pclose(mail);
-    }
 //   FILE *mail = popen(MAILPROG " -s 'Test Message' root", "w");
 //   if (!mail) {
 //      perror("popen");
@@ -886,5 +843,5 @@
 //             exit(1);
 //         }
 //     }
-    return;
+   return;
 }
Index: squid/contrib/chpasswd/conf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/chpasswd/Attic/conf.h,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/chpasswd/conf.h	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/chpasswd/conf.h	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -1,4 +1,5 @@
 #include "info.h"
+
 #if HAVE_CRYPT_H
 #ifdef WIN32
 #include "crypt.h"
@@ -56,8 +57,7 @@
 int vauth(char *, char *);
 void sendmail(char *, char *, char *);
 void to64(register char *, register long, register int);
-void Log(unsigned char *, unsigned char *, unsigned char *, unsigned char *,
-    unsigned char *, unsigned char *, unsigned char *, unsigned char *);
+void Log(unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *, unsigned char *);
 
 
 
Index: squid/contrib/htpasswd/htpasswd.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/contrib/htpasswd/Attic/htpasswd.c,v
retrieving revision 1.1.2.1.2.1
retrieving revision 1.1.2.1.2.2
diff -u -r1.1.2.1.2.1 -r1.1.2.1.2.2
--- squid/contrib/htpasswd/htpasswd.c	27 Aug 2001 21:48:16 -0000	1.1.2.1.2.1
+++ squid/contrib/htpasswd/htpasswd.c	9 Sep 2001 10:34:28 -0000	1.1.2.1.2.2
@@ -32,72 +32,60 @@
 
 char *tn;
 
-char *
-strd(char *s)
-{
+char *strd(char *s) {
     char *d;
 
-    d = (char *) malloc(strlen(s) + 1);
-    strcpy(d, s);
-    return (d);
+    d=(char *)malloc(strlen(s) + 1);
+    strcpy(d,s);
+    return(d);
 }
 
-void
-getword(char *word, char *line, char stop)
-{
-    int x = 0, y;
+void getword(char *word, char *line, char stop) {
+    int x = 0,y;
 
-    for (x = 0; ((line[x]) && (line[x] != stop)); x++)
-	word[x] = line[x];
+    for(x=0;((line[x]) && (line[x] != stop));x++)
+        word[x] = line[x];
 
     word[x] = '\0';
-    if (line[x])
-	++x;
-    y = 0;
+    if(line[x]) ++x;
+    y=0;
 
-    while ((line[y++] = line[x++]));
+    while((line[y++] = line[x++]));
 }
 
-int
-getline(char *s, int n, FILE * f)
-{
-    register int i = 0;
+int getline(char *s, int n, FILE *f) {
+    register int i=0;
 
-    while (1) {
-	s[i] = (char) fgetc(f);
+    while(1) {
+        s[i] = (char)fgetc(f);
 
-	if (s[i] == CR)
-	    s[i] = fgetc(f);
+        if(s[i] == CR)
+            s[i] = fgetc(f);
 
-	if ((s[i] == 0x4) || (s[i] == LF) || (i == (n - 1))) {
-	    s[i] = '\0';
-	    return (feof(f) ? 1 : 0);
-	}
-	++i;
+        if((s[i] == 0x4) || (s[i] == LF) || (i == (n-1))) {
+            s[i] = '\0';
+            return (feof(f) ? 1 : 0);
+        }
+        ++i;
     }
 }
 
-void
-putline(FILE * f, char *l)
-{
+void putline(FILE *f,char *l) {
     int x;
 
-    for (x = 0; l[x]; x++)
-	fputc(l[x], f);
-    fputc('\n', f);
+    for(x=0;l[x];x++) fputc(l[x],f);
+    fputc('\n',f);
 }
 
 
 /* From local_passwd.c (C) Regents of Univ. of California blah blah */
-static unsigned char itoa64[] =	/* 0 ... 63 => ascii - 64 */
-    "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
+static unsigned char itoa64[] =         /* 0 ... 63 => ascii - 64 */
+        "./0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
 
-void
-to64(register char *s, register long v, register int n)
-{
+void to64(register char *s, register long v, register int n) {
     while (--n >= 0) {
-	*s++ = itoa64[v & 0x3f];
-	v >>= 6;
+        *s++ = itoa64[v&0x3f];
+        v >>= 6;
     }
 }
 
@@ -105,108 +93,102 @@
 /* MPE lacks getpass() and a way to suppress stdin echo.  So for now, just
 issue the prompt and read the results with echo.  (Ugh). */
 
-char *
-getpass(const char *prompt)
-{
+char *getpass(const char *prompt) {
 
-    static char password[81];
+static char password[81];
 
-    fputs(prompt, stderr);
-    gets((char *) &password);
+fputs(prompt,stderr);
+gets((char *)&password);
 
-    if (strlen((char *) &password) > 8) {
-	password[8] = '\0';
-    }
+if (strlen((char *)&password) > 8) {
+  password[8]='\0';
+}
 
-    return (char *) &password;
+return (char *)&password;
 }
 #endif
 
 #ifdef WIN32
 
-int
-get_password(char s[], int lim)
+int get_password(char s[], int lim)
+
 {
-    int c, i;
+	int     c,i;
 
-    i = 0;
-    while (--lim > 0 && (c = getch()) != EOF && c != '\n' && c != '\r') {
-	if (c < ' ') {
-	    lim++;
-	    if (c == '\b' && i > 0) {
-		i--;
-		printf("\b \b");
-	    }
-	} else {
-	    s[i++] = (char) c;
-	    putchar('*');
+	i=0;
+	while (--lim > 0 && (c = getch()) != EOF && c != '\n' && c != '\r')
+	{
+		if (c < ' ')
+		{
+			lim++;
+			if (c == '\b' && i > 0)
+			{
+				i--;
+				printf("\b \b");
+			}
+		}
+		else
+		{
+			s[i++] = (char) c;
+			putchar('*');
+		}
 	}
-    }
-    if (c == '\r' || c == '\n')
-	putchar('\n');
-    s[i] = '\0';
-    return i;
+	if (c == '\r' || c == '\n')
+		putchar('\n');
+	s[i] = '\0';
+	return i;
 }
 
 
-char *
-getpass(const char *prompt)
+char *getpass(const char *prompt) 
 {
 
-    static char password[81];
+	static char password[81];
 
-    fputs(prompt, stderr);
-    get_password((char *) &password, 80);
+	fputs(prompt,stderr);
+	get_password((char *)&password, 80);
 
-    if (strlen((char *) &password) > 8) {
-	password[8] = '\0';
-    }
+	if (strlen((char *)&password) > 8) 
+	{
+		password[8]='\0';
+	}
 
-    return (char *) &password;
+	return (char *)&password;
 }
 
 #endif
 
-void
-add_password(char *user, FILE * f)
-{
+void add_password(char *user, FILE *f) {
     char *pw, *cpw, salt[3];
 
     pw = strd((char *) getpass("New password:"));
-    if (strcmp(pw, (char *) getpass("Re-type new password:"))) {
-	fprintf(stderr, "They don't match, sorry.\n");
-	if (tn)
-	    unlink(tn);
-	exit(1);
-    }
-    (void) srand((int) time((time_t *) NULL));
-    to64(&salt[0], rand(), 2);
-    cpw = crypt(pw, salt);
+    if(strcmp(pw,(char *) getpass("Re-type new password:"))) {
+        fprintf(stderr,"They don't match, sorry.\n");
+        if(tn)
+            unlink(tn);
+        exit(1);
+    }
+    (void)srand((int)time((time_t *)NULL));
+    to64(&salt[0],rand(),2);
+    cpw = crypt(pw,salt);
     free(pw);
-    fprintf(f, "%s:%s\n", user, cpw);
+    fprintf(f,"%s:%s\n",user,cpw);
 }
 
-void
-usage()
-{
-    fprintf(stderr, "Usage: htpasswd [-c] passwordfile username\n");
-    fprintf(stderr, "The -c flag creates a new file.\n");
+void usage() {
+    fprintf(stderr,"Usage: htpasswd [-c] passwordfile username\n");
+    fprintf(stderr,"The -c flag creates a new file.\n");
     exit(1);
 }
 
-void
-interrupted()
-{
-    fprintf(stderr, "Interrupted.\n");
-    if (tn)
-	unlink(tn);
+void interrupted() {
+    fprintf(stderr,"Interrupted.\n");
+    if(tn) unlink(tn);
     exit(1);
 }
 
-void
-main(int argc, char *argv[])
-{
-    FILE *tfp, *f;
+void main(int argc, char *argv[]) {
+    FILE *tfp,*f;
     char user[MAX_STRING_LEN];
     char line[MAX_STRING_LEN];
     char l[MAX_STRING_LEN];
@@ -215,61 +197,61 @@
     int found;
 
     tn = NULL;
-    signal(SIGINT, (void (*)()) interrupted);
-    if (argc == 4) {
-	if (strcmp(argv[1], "-c"))
-	    usage();
-	if (!(tfp = fopen(argv[2], "w"))) {
-	    fprintf(stderr, "Could not open passwd file %s for writing.\n",
-		argv[2]);
-	    perror("fopen");
-	    exit(1);
-	}
-	printf("Adding password for %s.\n", argv[3]);
-	add_password(argv[3], tfp);
-	fclose(tfp);
-	exit(0);
-    } else if (argc != 3)
-	usage();
+    signal(SIGINT,(void (*)())interrupted);
+    if(argc == 4) {
+        if(strcmp(argv[1],"-c"))
+            usage();
+        if(!(tfp = fopen(argv[2],"w"))) {
+            fprintf(stderr,"Could not open passwd file %s for writing.\n",
+                    argv[2]);
+            perror("fopen");
+            exit(1);
+        }
+        printf("Adding password for %s.\n",argv[3]);
+        add_password(argv[3],tfp);
+        fclose(tfp);
+        exit(0);
+    } else if(argc != 3) usage();
 
     tn = tmpnam(NULL);
-    if (!(tfp = fopen(tn, "w"))) {
-	fprintf(stderr, "Could not open temp file.\n");
-	exit(1);
+    if(!(tfp = fopen(tn,"w"))) {
+        fprintf(stderr,"Could not open temp file.\n");
+        exit(1);
     }
 
-    if (!(f = fopen(argv[1], "r"))) {
-	fprintf(stderr,
-	    "Could not open passwd file %s for reading.\n", argv[1]);
-	fprintf(stderr, "Use -c option to create new one.\n");
-	exit(1);
+    if(!(f = fopen(argv[1],"r"))) {
+        fprintf(stderr,
+                "Could not open passwd file %s for reading.\n",argv[1]);
+        fprintf(stderr,"Use -c option to create new one.\n");
+        exit(1);
     }
-    strcpy(user, argv[2]);
+    strcpy(user,argv[2]);
 
     found = 0;
-    while (!(getline(line, MAX_STRING_LEN, f))) {
-	if (found || (line[0] == '#') || (!line[0])) {
-	    putline(tfp, line);
-	    continue;
-	}
-	strcpy(l, line);
-	getword(w, l, ':');
-	if (strcmp(user, w)) {
-	    putline(tfp, line);
-	    continue;
-	} else {
-	    printf("Changing password for user %s\n", user);
-	    add_password(user, tfp);
-	    found = 1;
-	}
-    }
-    if (!found) {
-	printf("Adding user %s\n", user);
-	add_password(user, tfp);
+    while(!(getline(line,MAX_STRING_LEN,f))) {
+        if(found || (line[0] == '#') || (!line[0])) {
+            putline(tfp,line);
+            continue;
+        }
+        strcpy(l,line);
+        getword(w,l,':');
+        if(strcmp(user,w)) {
+            putline(tfp,line);
+            continue;
+        }
+        else {
+            printf("Changing password for user %s\n",user);
+            add_password(user,tfp);
+            found = 1;
+        }
+    }
+    if(!found) {
+        printf("Adding user %s\n",user);
+        add_password(user,tfp);
     }
     fclose(f);
     fclose(tfp);
-    sprintf(command, "cmd /C copy %s %s > NUL", tn, argv[1]);
+    sprintf(command,"cmd /C copy %s %s > NUL",tn,argv[1]);
     system(command);
     unlink(tn);
 }
